Linux Quimper

A-t-on le droit de m'imposer un navigateur?

@Alaegatae Le problème justement, c’est que je ne peux accéder à aucun document (qui sont au format PDF il me semble) : avec Firefox, les liens qui sont censés me faire y accéder ne sont pas cliquables… L’outil en question, c’est « idélibre », un outil de convocation des élus développé par Mégalis Bretagne, qui est un syndicat mixte en charge de l’animation et de la gestion du projet « Bretagne Très Haut Débit » et également du développement des usages des réseaux de communication électronique et de l’administration électronique.

Michel, la question n’est pas celle des documents, mais de l’accès à ceux-ci. Ils sont protégés derrière un portail qui ne semble pas accessible via Firefox.

Voici un lien décrivant i-delibre. Est-ce bien celui-là ?

De même chez Adullact
https://adullact.org/service-en-ligne-i-delibre

Pourtant Dans le lien ci-dessous Firefox semble faire partie des navigateurs requis pour utiliser I-delibre sur un PC en mode WEB:
https://faq.adullact.org/pre-requis/73-pre-requis-a-l-utilisation-d-i-delibre-tablette

Oui, c’est bien cet outil. C’est étonnant, ce listing des navigateurs requis pour utiliser I-delibre sur un PC en mode web, qui stipule que Firefox est OK ! Voici la réponse que j’ai reçue de l’équipe Mégalis :

CitationLa solution aux séances grisées est effectivement de changer de navigateur. Nous avons constaté ce problème sur Firefox mais pas sur internet explorer ou chrome.

Bonjour @Ced29,

As-tu essayé, pour voir, avec Chromium ?

Merci pour toutes vos réponses, je suis assez épaté de la réactivité de votre communauté !
Je viens d’essayer avec Chromium : ça fonctionne.
Reste donc la question d’« imposer » un navigateur… Je vais de nouveau questionner Mégalis en pointant le Socle interministériel.

2 J'aimes

@ReunigKozh Merci pour ce lien. Je vois que l’outil en question est développé par une SCOP qui développe des solutions sous licence libre pour les administrations publiques. J’ai donc bon espoir que ce bug avec Firefox ne soit que temporaire !

1 J'aime

Quelle version de Firefox as-tu ?

78.0.1+build1-0ubuntu0.18.04.1

1 J'aime

Possible que ce soit, comme pour Jitsi, un problème de compatibilité WebRTC de Firefox

Le code est là-bas, a priori :

Par curiosité, je veux bien regarder. Peux-tu donner une URL à laquelle le bug est reproductible ?
Il y a une démo chez l’Adullact, mais il faut un login/mot de passe que je ne trouve pas : https://idelibre.demonstrations.adullact.org/

1 J'aime

Nouvel échange avec Mégalis :

Citation
En théorie vous pouvez utiliser firefox, je n’ai d’ailleurs jamais eu ce type de problème lors des tests effectués. Néanmoins nous avons constaté, par retour d’expérience utilisateur, que l’utilisation d’idelibre sur firefox pouvait entrainer ce type de problème. Lors de nos tests nous connaissons et maitrisons les outils utilisés. Ne pouvant intervenir sur la mise à niveau et le paramétrage très divers des navigateurs des élus, nous ne pouvons que vous conseiller de changer de navigateur afin que vous accédiez à votre convocation.

Essaye déjà d’identifier le bug, avec @vincent.

Leur message me fait plutôt penser à un problème de compatibilité sur lequel ils n’ont pas la main (voir mon message précédent).

C’est une manière poétique de désigner un bug :stuck_out_tongue:

2 J'aimes

@vincent Comment ferait-on ? Il te faudrait mes identifiant pour que tu puisses constater le bug in situ ?

Le forum d’aide de Mozilla pourrait être une autre possibilité de renseignements
https://support.mozilla.org/fr/forums/contributors
et aussi peut-être tenter d’installer Firefox ESR qui offre une plus grande stabilité dans le temps
https://doc.ubuntu-fr.org/firefox#version_esr_extended_support_release
Autre question ; as-tu une extension du genre UBlock ?

1 J'aime

En vrai y en a « vraiment » que deux :

Merci @ReunigKozh ! J’ai AdBlock et Ghostery…

Merci @Otyugh. « Très divers », en effet !